export class APIClient {
  private apiUrl = '/api'; // Replace with your API URL

  getMovieByTitle(title: string) {
    return fetch(`${this.apiUrl}/movie/${title}`)
      .then(response => response.json())
      .then(data => data.graph);
  }

  getActorByName(name: string) {
    return fetch(`${this.apiUrl}/actor/${name}`)
      .then(response => response.json())
      .then(data => data.graph);
  }

  getGenreByName(name: string) {
    return fetch(`${this.apiUrl}/genre/${name}`)
      .then(response => response.json())
      .then(data => data.graph);
  }

  getDirectorByName(name: string) {
    return fetch(`${this.apiUrl}/director/${name}`)
      .then(response => response.json())
      .then(data => data.graph);
  }
}
